| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
ADT
ADT.CircularList
ADT.CircularList()->CircularListIterator

# Method ADT.CircularList()->CircularListIterator()->_equal()

Method _equal

  `int(0..1) _equal(mixed iter)`

Description

  Compare this iterator with another iterator.

Parameter `iter`

  The iterator to compare with

Returns

  Returns `true` if both iterators iterates over the same objects and are positioned at the same spot.